package com.coherentlogic.wb.client.core.domain;

import static com.coherentlogic.wb.client.core.domain.Constants.WB_TOPIC;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.thoughtworks.xstream.annotations.XStreamConverter;
import com.thoughtworks.xstream.converters.extended.ToAttributedValueConverter;

/**
 * Topic only has a value when we call the indicators web service (see also
 * testTopics).
 *
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 *
 */
@Entity
@Table(name=WB_TOPIC)
// We need the converter here otherwise XStream won't deserialize the XML
// correctly. This is not exactly a beatiful solution, but it's not brutal
// either.
@XStreamConverter(value=ToAttributedValueConverter.class,
    types={IdValuePair.class}, strings={"value"})
public class IndicatorTopic extends IdValuePair {

    private static final long serialVersionUID = 4642154435437990120L;

}
